import request from "@/utils/request";

// 查询地层列表
export function listJtdzDc(query) {
  return request({
    url: "/jtdz/jtdzDc/list",
    method: "get",
    params: query,
  });
}

// 查询地层详细
export function getJtdzDc(id) {
  return request({
    url: "/jtdz/jtdzDc/" + id,
    method: "get",
  });
}

// 新增地层
export function addJtdzDc(data) {
  return request({
    url: "/jtdz/jtdzDc",
    method: "post",
    data: data,
  });
}

// 修改地层
export function updateJtdzDc(data) {
  return request({
    url: "/jtdz/jtdzDc",
    method: "put",
    data: data,
  });
}

// 删除地层
export function delJtdzDc(id) {
  return request({
    url: "/jtdz/jtdzDc/delete/" + id,
    method: "delete",
  });
}
